* {
    font-family: 'Oswald', sans-serif;
    box-sizing: border-box;
}

html {
  min-height: 100vh;
}

body {
  margin: 0;
  background: radial-gradient(#ff9068, #ed8a63);
}

.page-title {
  color: #393939 
  font-weight: normal;
  text-align: center;
  font-size: 6em;
}

.game-info-container {
  grid-column: 1 / -1;
  display: flex;
  justify-content: space-between;
}

.game-info {
  color: #d4d4dc;
  font-size: 4em;
}

.game-container {
  margin: 50px auto;
  display: grid;
  grid-template-columns: repeat(4, auto);
  grid-gap: 10px;
  justify-content: center;
  perspective: 500px;
}

.card {
  position: relative;
  height: 175px;
  width: 125px;
}

.card-face {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  border-radius: 12px;
  border-width: 1px;
  border-style: solid;
  overflow: hidden;
  transition: transform 500ms ease-in-out;
  backface-visibility: hidden;
}

.card.visible .card-back {
  transform: rotateY(-180deg); 
}

.card.visible .card-front {
  transform: rotateY(0); 
}

.card.matched .card-front .card-value {
  animation: dance 1s linear 500ms;
}

.card-back {
  background-color: black;
  border-color: #f6f5f3;
  transform: rotateY(0); 
}

.cob-web {
  position: absolute;
  transition: width 100ms ease-in-out, height 100ms ease-in-out;
  width: 47px;
  height: 47px;
}

/* .card-face:hover .cob-web {
  width: 52px;
  height: 52px;
} */

.star {
  align-self: flex-start;
  transition: transform 100ms ease-in-out;
  transform: translateY(-10px);
}

.card-back:hover .star {
  transform: translateY(0);
}

.card-value {
  position: relative;
  transition: transform 100ms ease-in-out;
  transform: scale(.9);
  width: 100%;
  height: 100%;
}

.card-front:hover .card-value {
  transform: scale(1);
}

.card-front {
  background-color: #FFBB89;
  border-color: #333;
  transform: rotateY(180deg);
}

.overlay-text {
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 100;
  display: none;
  position: fixed;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  color: #FF6D00;
  transition: background-color 500ms, font-size 500ms;
}

.overlay-text-small {
  font-size: .3em;
}

.overlay-text.visible {
  display: flex;
  animation: overlay-grow 500ms forwards;
}

.personal-info {
    left: 0;
    bottom: 0;
    width: 100%;
    background-color: red;
    color: white;
    text-align: center;
    border-radius: 10px;
  }

.btn {
  color: #fff !important;
  text-transform: uppercase;
  text-decoration: none;
  background: black;
  padding: 15px;
  border-radius: 50px;
  display: inline-block;
  border: none;
  transition: all 0.4s ease 0s;
  margin-bottom: 5px;
  }

  .btn:hover {
    text-shadow: 0px 0px 6px rgba(255, 255, 255, 1);
    -webkit-box-shadow: 0px 5px 40px -10px rgba(0,0,0,0.57);
    -moz-box-shadow: 0px 5px 40px -10px rgba(0,0,0,0.57);
    transition: all 0.4s ease 0s;
    }
@keyframes dance {
  0%, 100% {
    transform: rotate(0)
  }
  25% {
    transform: rotate(-30deg)
  }
  75% {
    transform: rotate(30deg)
  }
}

@keyframes overlay-grow {
  from {
    background-color: rgba(0, 0, 0, 0);
    font-size: 0;
  }
  to {
    background-color: rgba(0, 0, 0, .8);
    font-size: 10em;
  }
}

@media (max-width: 600px) {
  .game-container {
    grid-template-columns: repeat(2, auto)
  }

  .game-info-container {
    flex-direction: column;
    align-items: center;
  }
}